﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace OpenSearch.Client
{
    class FakeSearchProviderFactory : ISearchProviderFactory
    {
        public IEnumerable<SearchProviderInfo> GetProviders()
        {
            yield return new SearchProviderInfo("Bing", 
                                                new Uri("http://www.bing.com/search?q={searchTerms}&src=IE-SearchBox&FORM=IE8SRC", true),
                                                new Uri("http://api.bing.com/qsml.aspx?query={searchTerms}&maxwidth={ie:maxWidth}&rowheight={ie:rowHeight}&sectionHeight={ie:sectionHeight}&FORM=IE8SSC&market={language}", true),
                                                true, 
                                                new Uri(@"http://www.bing.com/favicon.ico", true)
                                                );

            yield return new SearchProviderInfo("Google",
                                                new Uri("http://www.google.com/search?q={searchTerms}&src=IE-SearchBox&FORM=IE8SRC", true),
                                                new Uri("http://clients5.google.com/complete/search?q={searchTerms}&client=ie8&mw={ie:maxWidth}&sh={ie:sectionHeight}&rh={ie:rowHeight}&inputencoding={inputEncoding}&outputencoding={outputEncoding}", true),
                                                true,
                                                new Uri(@"http://www.google.com/favicon.ico", true)
                                                );
                                               
                                               
                                                                                

        }
    }
}
