﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using OpenSearch.Client;
using OpenSearch.Client.Util;
using OpenSearch.Controls;

namespace OpenSearch.TestApp
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        
        public MainWindow()
        {
            InitializeComponent();

            searchBox.SearchManager = new SearchClientManager();
            searchBox.SearchRequested += new Controls.SearchRequestedEventHandler(searchBox_SearchRequested);
        }

        private void searchBox_SearchRequested(object sender, SearchRequestedEventArgs e)
        {
            Debug.WriteLine(string.Format("Search Requested: Uri = '{0}', New Window = '{1}'", e.SearchAddress, e.NewWindow));
        }
    }
}
